# -*- mode: ruby -*-
# vi: set ft=ruby :

ENV['VAGRANT_DEFAULT_PROVIDER'] = 'docker'


# Specify Vagrant version and Vagrant API version
Vagrant.require_version ">= 1.6.0"
VAGRANTFILE_API_VERSION = "2"

require 'yaml'
configuration = YAML.load_file("#{Dir.home}/.vagrant.yml")

host_configuration = "./" + configuration['docker']['provider'] + "HostVagrantFile"

# Create and configure the VM(s)

Vagrant.configure(VAGRANTFILE_API_VERSION) do |config|
  config.vm.define "docker_testing" do |v| 
   v.vm.provider "docker" do |d|
      d.force_host_vm = "True"
      d.build_dir = "."
      d.has_ssh = "False"
      d.remains_running = "False"
      d.username = configuration['docker']['hub']['username']
      d.password = configuration['docker']['hub']['password']
      # d.vagrant_machine = "dockerhost"
      d.vagrant_vagrantfile = host_configuration
   end
  end
end
